#### Description:

This function copies data values from a supplied buffer into a named column. The first element in the buffer becomes the first element in the first row of the column. If the buffer does not completely fill the column, then any trailing rows are filled with null values.

#### Synopsis

void astPutColumnData( AstFitsTable ∗this, const char ∗column, int clen, size_t size, void ∗coldata )

#### Parameters:

##### this

Pointer to the FitsTable.

##### column

The character string holding the name of the column. Trailing spaces are ignored.

##### clen

If the column holds character strings, then this must be set to the length of each fixed length string in the supplied array. This is often determined by the appropriate TFORMn keyword in the binary table header. The supplied value is ignored if the column does not hold character data.

##### size

The size of the `"` coldata`"` array, in bytes. This should be an integer multiple of the number of bytes needed to hold the full vector value stored in a single cell of the column. An error is reported if this is not the case.

##### coldata

A pointer to an area of memory holding the data to copy into the column. The values should be stored in row order. If the column holds non-scalar values, the elements of each value should be stored in `"` Fortran`"` order. No data type conversion is performed.
Copyright (C) 2021 East Asian Observatory